View Issue Details

IDProjectCategoryView StatusLast Update
0020876mantisbtemailpublic2016-06-12 00:42
ReporterChewitsAssigned Tocommunity 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020876: Email notifications for category owners
Description

It is possible to assign a user to a category so that any new bug will automatically be assigned to that user. He will receive a notification in this case. But if after that the issue is re-assigned to someone else, the category owner will no longer receive notifications for that issue.

It would be nice to implement this feature: send email notifications to users assigned to categories. This option should be configurable on [E-mail Notifications] page.

See also: https://www.mantisbt.org/forums/viewtopic.php?f=3&t=22917

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 040cde62

2016-04-22 07:19:20

Alexander Ishmuradov


Committer: dregad Details Diff
Add email notifications for users assigned to categories

Users who are assigned to categories can now receive email
notifications. This is configurable via E-mail Notifications page,
on a per-project basis.

A common use case:
- A user was assigned to some category;
- When new issue is submitted to this category and "Assigned To" field
is empty, this issue is assigned to Category Owner (who receives a
notification);
- If we then re-assign issue to someone else, the Category Owner will no
longer receive notifications.

This commit makes it possible for category owners receiving
notifications in this case as well.

Fixes 0020876

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Original commit amended to default the new flag to ON as per [1].
Reworded and formatted commit message.

[1] https://github.com/mantisbt/mantisbt/pull/762#issuecomment-217280123
mod - config_defaults_inc.php Diff File
mod - core/email_api.php Diff File
mod - docbook/Admin_Guide/en-US/Customizing.xml Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File
mod - lang/strings_english.txt Diff File
mod - manage_config_email_page.php Diff File
mod - manage_config_email_set.php Diff File

Issue History

Date Modified Username Field Change
2016-05-05 11:28 Chewits New Issue
2016-05-06 02:56 atrol Note Added: 0053076
2016-05-06 02:56 atrol Assigned To => community
2016-05-06 02:56 atrol Status new => assigned
2016-05-14 12:09 dregad Changeset attached => MantisBT master 040cde62
2016-05-14 12:09 dregad Assigned To community => dregad
2016-05-14 12:09 dregad Status assigned => resolved
2016-05-14 12:09 dregad Resolution open => fixed
2016-05-14 12:09 dregad Fixed in Version => 1.3.0-rc.2
2016-05-14 12:16 dregad Assigned To dregad => community
2016-05-14 12:16 dregad Severity minor => feature
2016-05-14 12:16 dregad Target Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed